Skip to main content
Weavr API
Spend controls

Approve or reject card payments

Webhook/managed_cards/authorisation_request

Receive purchase authorization events and choose whether to approve or decline them by replying to the event.

Enable Authorization Forwarding and configure the Authorization Forwarding URL in the Embedder Portal. Weavr sends this event to {Authorization Forwarding URL}/managed_cards_authorisation_forwarding.

A response is expected within 1.5 seconds. If no response is received, the Default Timeout Response configured in the card profile or the card authForwardingDefaultTimeoutDecision parameter is used.

Payload

*
application/json
{}
CardAuthorisationEventCardAuthorisationEvent · object · 16 fields

Accepted shapes

Selected by mode

Prepaid Mode Card Authorisation EventPREPAID_MODEobject
availableBalance
object
Debit Mode Card Authorisation EventDEBIT_MODEobject
parentManagedAccountId*
string
availableToSpend
array<AvailableToSpend · object>

Responses

200OK

Authorization event received with an APPROVED or DENIED decision.

Body
application/json
{}
objectobject · 1 field
Response example
{  "result": "APPROVED"}